Skip to content
View as Markdown

PUT Update Dynamic Segment​

PUT
/dynamic-segments/{id}

Update an existing custom dynamic segment's title, conditions, and filter settings. The segment data is sent as a JSON-encoded string. Requires FluentCampaign Pro.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The ID of the custom segment to update.

Type
integer
Required

Request Body​

application/json
JSON
{
"segment": "string"
}

Responses​

Segment updated successfully.

application/json
JSON
{
"message": "string",
"segment": {
"id": 0,
"title": "string",
"conditions": [
{
}
],
"condition_match": "string",
"email_activities": {
}
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI